Package ru.bitel.bgbilling.modules.smarthouse.common.bean

# Class SmartHousePackageContract

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.smarthouse.common.bean.SmartHousePackageContract

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class SmartHousePackageContract extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartHousePackageContract()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PeriodWithTime`
  `getCalcPeriod()`
  `int`
  `getCalcPeriodCount()`
  `String`
  `getData()`
  `int`
  `getObjectId()`
  `BigDecimal`
  `getPackageCost()`
  `LocalDate`
  `getPackageCostDate()`
  `int`
  `getPackageId()`
  `Period`
  `getPeriod()`
  `int`
  `getReserveId()`
  `SmartHousePackageContract`
  `setCalcPeriod(PeriodWithTime calcPeriod)`
  `SmartHousePackageContract`
  `setCalcPeriodCount(int calcPeriodCount)`
  `SmartHousePackageContract`
  `setContractId(int contractId)`
  `SmartHousePackageContract`
  `setData(String data)`
  `SmartHousePackageContract`
  `setId(int id)`
  Устанавливает id объекта
  `SmartHousePackageContract`
  `setObjectId(int objectId)`
  `SmartHousePackageContract`
  `setPackageCost(BigDecimal packageCost)`
  `SmartHousePackageContract`
  `setPackageCostDate(LocalDate packageCostDate)`
  `SmartHousePackageContract`
  `setPackageId(int packageId)`
  `SmartHousePackageContract`
  `setPeriod(Period period)`
  `SmartHousePackageContract`
  `setReserveId(int reserveId)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SmartHousePackageContract

    public SmartHousePackageContract()

- ## Method Details

  - ### getCalcPeriod

    public PeriodWithTime getCalcPeriod()

  - ### getCalcPeriodCount

    public int getCalcPeriodCount()

  - ### getData

    public String getData()

  - ### getObjectId

    public int getObjectId()

  - ### getPackageCost

    public BigDecimal getPackageCost()

  - ### getPackageCostDate

    public LocalDate getPackageCostDate()

  - ### getPackageId

    public int getPackageId()

  - ### getPeriod

    public Period getPeriod()

  - ### getReserveId

    public int getReserveId()

  - ### setCalcPeriod

    public SmartHousePackageContract setCalcPeriod(PeriodWithTime calcPeriod)

  - ### setCalcPeriodCount

    public SmartHousePackageContract setCalcPeriodCount(int calcPeriodCount)

  - ### setContractId

    public SmartHousePackageContract setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setData

    public SmartHousePackageContract setData(String data)

  - ### setId

    public SmartHousePackageContract setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setObjectId

    public SmartHousePackageContract setObjectId(int objectId)

  - ### setPackageCost

    public SmartHousePackageContract setPackageCost(BigDecimal packageCost)

  - ### setPackageCostDate

    public SmartHousePackageContract setPackageCostDate(LocalDate packageCostDate)

  - ### setPackageId

    public SmartHousePackageContract setPackageId(int packageId)

  - ### setPeriod

    public SmartHousePackageContract setPeriod(Period period)

  - ### setReserveId

    public SmartHousePackageContract setReserveId(int reserveId)